﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace Posloupnost
{
    /// <summary>
    /// Tato třída slouží k načtení posloupností ze souboru.
    /// </summary>
    class NacteniPosloupnosti
    {
        private string jmeno;

        public NacteniPosloupnosti(string jmeno)
        {
            this.jmeno = jmeno + ".txt";
        }

        /// <summary>
        /// načte posloupnosti ze souboru
        /// </summary>
        /// <returns>seznam načtených posloupností</returns>
        public List<Posloupnost> Nacteni()
        {
            List < Posloupnost > posloupnosti = new List<Posloupnost>();

            string[] nactenePosloupnosti = File.ReadAllLines(@jmeno);
            foreach  (string str in nactenePosloupnosti)
            {
                Posloupnost posloupnost = new Posloupnost();

                string[] clenyPosloupnosti = str.Split(',');
                foreach (string clen in clenyPosloupnosti)
                {
                    posloupnost.VstupniCleny.Add(int.Parse(clen));
                }

                posloupnosti.Add(posloupnost);
            }

            return posloupnosti;
        }
    }
}
